# CityDoctor2
** Development of a automatic repair system for virtual city models** 

CityDoctor2 is a quality check software for 3D city models in CityGML format. CityDoctor can read CityGML 1/2 documents and since version 3.12 can also read CityGML 3 with restrictions. All check results can be output in xml or pdf form. Additionally CityDoctor implements the [QualityADE](https://transfer.hft-stuttgart.de/gitlab/citydoctor/qualityade) to save test results directly into CityGML.

![examplePicture](img/checked.png)

# Licence / Versions

### CityDoctorValidation
The validation part of CityDoctor is freely available and [open source](https://transfer.hft-stuttgart.de/gitlab/citydoctor/citydoctor2)

### CityDoctorGUI
The graphical interface is free but not open source (see [Installation](requiredSoftware.md))

### CityDoctorHealer

The part responsible for the repair can be obtained only in consultation with us.
Mail to:
![mail](img/mail.png)  

# Projekt
**Project duration:** 01.11.2018 - 31.12.2021

## Partner

**Project responsible:**  
Prof. Dr. Margitta Pries

**Collaboration partner:**  
Prof. Dr.-Ing. Volker Coors

**Cooperation partner:**  
[3DIS GmbH](https://www.3dis.de/)  
[3dpartzz GmbH](https://3dpartzz.com/)  
[con terra GmbH](https://conterra.de/)  
[Geoplex GIS GmbH](https://www.geoplex.de/)  
Mark Wewetzer  
[M.O.S.S. Computer Grafik Systeme GmbH](https://www.moss.de/)  
[Steinbeis - Transferzentrum](https://www.steinbeis.de/de.html)  
[Virtual City Systems](https://www.virtualcitysystems.de/)

**Associative partner:**  
[Landesamt für Geoinformation und Landentwicklung Baden-Württemberg](https://www.lgl-bw.de/)  
  
**Funder:**  
[Bundesministerium für Bildung und Forschung](https://www.bmbf.de/)  
  
**Project sponsor:**  
[VDI Technologiezentrum](https://www.vditz.de/)  

![partner](img/partner.png)

