# Anforderungen und Prüfungen für die Validierung von CityGML-Modellen

The requirements are the basic building blocks for a validation plan to validate CityGML models. For naming conventions and definitions, see [fundamentals](basic.md).  

A requirement can be validated by one or more checks. A check validates one or more requirements on a model. Each check can have preconditions. If these preconditions are not met, the check is not executed.
A distinction is made between:

* [Schema Requirements](schemaRequirements.md)
* [Geometry Requirements](geometric.md)
* [Semantic Requirements](semantic.md)
